#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Epoch:          3
Summary:        KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf)
Name:           kdnssd
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(avahi-core)

Conflicts:      %{_lib}kf5kdnssd5 < 5.42.0-1.1
%ifarch x86_64
Conflicts:      libkf5kdnssd5 < 5.42.0-1.1
%endif

%description
KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf).

%files -f %{name}5_qt.lang

#--------------------------------------------------------------------

%define kf5dnssd_major 5
%define libkf5dnssd %mklibname kf5dnssd %{kf5dnssd_major}

%package -n %libkf5dnssd
Summary:        KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf)
Group:          System/Libraries
Requires:       %{name} >= %epoch:%{version}-%{release}
Requires:       nss_mdns

Obsoletes:      %{_lib}kf5kdnssd5 < 3:5.60.0-2

%description -n %libkf5dnssd
KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf).

%files -n %libkf5dnssd
%_kf5_libdir/libKF5DNSSD.so.%{kf5dnssd_major}{,.*}

#--------------------------------------------------------------------

%define kf5dnssd_devel %mklibname kf5dnssd -d

%package -n %kf5dnssd_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5dnssd = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

Obsoletes:      %{_lib}kf5kdnssd-devel < 3:5.60.0-2

%description -n %kf5dnssd_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5dnssd_devel
%_kf5_includedir/KDNSSD/
%_kf5_libdir/cmake/KF5DNSSD/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KDNSSD.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{name}5_qt


%changelog
* Thu Feb 08 2024 neoclust <neoclust> 3:5.114.0-1.mga9
+ Revision: 2039538
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 3:5.105.0-1.mga9
+ Revision: 1952034
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 3:5.104.0-1.mga9
+ Revision: 1947844
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 3:5.103.0-1.mga9
+ Revision: 1941350
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 3:5.102.0-1.mga9
+ Revision: 1935000
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 3:5.101.0-1.mga9
+ Revision: 1922248
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 3:5.100.0-1.mga9
+ Revision: 1911615
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 3:5.99.0-1.mga9
+ Revision: 1900219
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 3:5.98.0-1.mga9
+ Revision: 1887654
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 3:5.97.0-1.mga9
+ Revision: 1880601
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 3:5.96.0-1.mga9
+ Revision: 1871701
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 3:5.93.0-1.mga9
+ Revision: 1853221
- New version 5.93.0

* Wed Apr 06 2022 neoclust <neoclust> 3:5.92.0-2.mga9
+ Revision: 1846691
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 3:5.88.0-1.mga9
+ Revision: 1754829
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 3:5.87.0-1.mga9
+ Revision: 1749080
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 3:5.86.0-1.mga9
+ Revision: 1747040
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 3:5.84.0-1.mga9
+ Revision: 1735262
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 3:5.82.0-1.mga9
+ Revision: 1723453
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 3:5.81.0-1.mga9
+ Revision: 1714849
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 3:5.80.0-1.mga9
+ Revision: 1702027
- New version 5.80.0

* Mon Mar 01 2021 daviddavid <daviddavid> 3:5.79.1-1.mga9
+ Revision: 1695088
- New version 5.79.1

* Thu Feb 25 2021 neoclust <neoclust> 3:5.79.0-1.mga9
+ Revision: 1691119
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 3:5.76.0-1.mga8
+ Revision: 1653333
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 3:5.75.0-1.mga8
+ Revision: 1633186
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 3:5.74.0-1.mga8
+ Revision: 1625607
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 3:5.73.0-1.mga8
+ Revision: 1612316
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 3:5.72.0-1.mga8
+ Revision: 1603090
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 3:5.71.0-1.mga8
+ Revision: 1592784
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 3:5.70.0-1.mga8
+ Revision: 1582010
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 3:5.69.0-1.mga8
+ Revision: 1566501
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 3:5.68.0-1.mga8
+ Revision: 1556677
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 3:5.67.0-2.mga8
+ Revision: 1546637
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 3:5.67.0-1.mga8
+ Revision: 1486815
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 3:5.65.0-1.mga8
+ Revision: 1466225
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 3:5.64.0-1.mga8
+ Revision: 1457610
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 3:5.63.0-1.mga8
+ Revision: 1450992
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 3:5.62.0-1.mga8
+ Revision: 1444804
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 3:5.60.0-2.mga8
+ Revision: 1424305
- fix devel and library pkg-name

* Thu Jul 11 2019 neoclust <neoclust> 3:5.60.0-1.mga8
+ Revision: 1420067
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 3:5.57.0-1.mga7
+ Revision: 1386932
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 3:5.56.0-2.mga7
+ Revision: 1382341
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 3:5.56.0-1.mga7
+ Revision: 1374559
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 3:5.55.0-1.mga7
+ Revision: 1364534
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 3:5.54.0-1.mga7
+ Revision: 1356657
- New version 5.54.0

* Mon Dec 17 2018 neoclust <neoclust> 3:5.53.0-1.mga7
+ Revision: 1341971
- New version 5.53.0

* Mon Nov 26 2018 daviddavid <daviddavid> 3:5.51.0-2.mga7
+ Revision: 1335076
- requires main pkg for lang files

* Tue Oct 09 2018 neoclust <neoclust> 3:5.51.0-1.mga7
+ Revision: 1318960
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 3:5.49.0-2.mga7
+ Revision: 1298512
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 3:5.49.0-1.mga7
+ Revision: 1247310
- New version 5.49.0

* Sun May 20 2018 neoclust <neoclust> 3:5.46.0-1.mga7
+ Revision: 1230572
- New version 5.46.0
- Move translations out of the lib package

* Thu Jan 11 2018 neoclust <neoclust> 3:5.42.0-1.mga7
+ Revision: 1192280
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 3:5.41.0-1.mga7
+ Revision: 1182330
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 3:5.38.0-1.mga7
+ Revision: 1161236
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 3:5.37.0-1.mga7
+ Revision: 1140398
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 3:5.36.0-1.mga7
+ Revision: 1123499
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 3:5.32.0-1.mga6
+ Revision: 1088962
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 3:5.29.0-1.mga6
+ Revision: 1074533
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 3:5.28.0-1.mga6
+ Revision: 1072195
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 3:5.27.0-1.mga6
+ Revision: 1058353
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 3:5.26.0-1.mga6
+ Revision: 1050530
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 3:5.25.0-1.mga6
+ Revision: 1045108
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 3:5.24.0-1.mga6
+ Revision: 1041330
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 3:5.23.0-1.mga6
+ Revision: 1021928
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 3:5.22.0-1.mga6
+ Revision: 1014338
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 3:5.21.0-1.mga6
+ Revision: 999634
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 3:5.20.0-1.mga6
+ Revision: 986327
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 3:5.19.0-1.mga6
+ Revision: 942247
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 3:5.18.0-1.mga6
+ Revision: 921280
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 3:5.17.0-2.mga6
+ Revision: 912924
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 3:5.17.0-1.mga6
+ Revision: 909847
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 3:5.16.0-4.mga6
+ Revision: 900621
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 3:5.16.0-3.mga6
+ Revision: 899602
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 3:5.16.0-2.mga6
+ Revision: 898924
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 3:5.15.0-1.mga6
+ Revision: 888164
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 3:5.14.0-1.mga6
+ Revision: 881388
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 3:5.13.0-1.mga6
+ Revision: 862949
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 3:5.12.0-3.mga6
+ Revision: 862687
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 11 2015 neoclust <neoclust> 3:5.12.0-2.mga6
+ Revision: 862584
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 3:5.12.0-1.mga6
+ Revision: 853795
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 3:5.11.0-1.mga6
+ Revision: 841571
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 3:5.5.0-1.mga5
+ Revision: 803356
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 3:5.1.0-3.mga5
+ Revision: 741269
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3:5.1.0-2.mga5
+ Revision: 681028
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 3:5.1.0-1.mga5
+ Revision: 660428
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 3:5.0.0-2.mga5
+ Revision: 652247
- Fix epoch in requires

* Fri Jul 11 2014 neoclust <neoclust> 3:5.0.0-1.mga5
+ Revision: 651314
- New version 5.0.0

* Sat Apr 05 2014 neoclust <neoclust> 3:4.98.0-1.mga5
+ Revision: 612084
- New name && new version
- Rename according to upstream
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599766
- New version 4.97.0

* Mon Feb 17 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593395
- imported package kdnssd-framework

